Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.configuration
Class DefaultElementParser

    java.lang.Object
      com.atlassian.bamboo.configuration.DefaultElementParser

All Implemented Interfaces:
  ElementParser

Direct Known Subclasses:
  ElementContentElementParser, MimeTypeLoader.MimeMappingElementParser

    public class DefaultElementParser

extends Object
implements ElementParser

This class provides the default SAX parsing behaviour (ie do nothing) for an xml element.

Constructor Summary
`DefaultElementParser()`

Method Summary
`void` | `characters(char[] chars, int offset, int length)` Do nothing by default.
`void` | `endElement()` Do nothing by default.
`void` | `startElement(Attributes attributes)` Do nothing by default.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultElementParser

    public DefaultElementParser()

Method Detail

### startElement

    public void startElement(Attributes attributes)

  Do nothing by default. Override to process the start of an element.

  Specified by:
    `startElement` in interface `ElementParser`
  Parameters:
    `attributes` - The element's attributes

### endElement

    public void endElement()
                    throws ConfigurationException

  Do nothing by default. Override to process the end of an element.

  Specified by:
    `endElement` in interface `ElementParser`
  Throws:
    `ConfigurationException` - A generic parsinf failure

### characters

    public void characters(char[] chars,
                           int offset,
                           int length)

  Do nothing by default. Override to process the element text

  The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks.

  Specified by:
    `characters` in interface `ElementParser`
  Parameters:
    `chars` - The characters from the XML document.
    `offset` - The start position in the array.
    `length` - The number of characters to read from the array.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.